Bug 509162 - RFE: virt-manager: Make addhw->disk work more like New VM storage page
RFE: virt-manager: Make addhw->disk work more like New VM storage page
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Cole Robinson
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: F12VirtTarget
  Show dependency treegraph
 
Reported: 2009-07-01 11:41 EDT by Bill Nottingham
Modified: 2014-03-16 23:19 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-10 17:02:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2009-07-01 11:41:43 EDT
Description of problem:

I want to add a disk image.

I choose 'File (disk image):'.

I choose 'browse'.

It shows me the images in /var/lib/libvirt/images by default.

I back out, and enter a file name for it to create (no leading path).

It then defaults to making that image in... my home dir!?

Version-Release number of selected component (if applicable):

virt-manager-0.7.0-5.fc11.x86_64

How reproducible:

100%

Additional info:

Given that the 'New volume' in the 'browse' dialog also defaults to /var/lib/libvirt/images, this is doubly strange.
Comment 1 Mark McLoughlin 2009-07-03 10:48:59 EDT
I don't see it as being strange at all - you haven't supplied a full path, so it defaults to creating in CWD, which is your homedir

Sounds like perfectly normal unix app behaviour to me

Am I missing something?
Comment 2 Bill Nottingham 2009-07-03 17:49:50 EDT
You have an 'add' button, and a 'browse' button, which each have different default directories.
Comment 3 Daniel Berrange 2009-07-03 18:02:21 EDT
IMHO the different default directories is not really the problem - its merely a symptom of bit of confusing UI here. 

First the 'block device' vs 'file' split no longer makes any sense - the libvirt storage pool model covers both in exactly the same manner, so the distinction is an irrelevant detail. Nothing should rely on default directories - it should all be storage pool based. 

I think it would be better if the wizard step had

 - Creation of a volume in the default storage pool using the 'name' and 'size' fields

 - Selection of a pre-existing, un-assigned volume from the default storage pool

 - A browse button to popup full storage pool UI for accessing/creating volume in non-default pools, and creation of pools
Comment 4 Bug Zapper 2010-04-27 11:24:10 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Cole Robinson 2010-05-10 17:02:26 EDT
Latest virt-manager in rawhide has this UI majorly refactored, so closing.

Note You need to log in before you can comment on or make changes to this bug.